Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class ExecutionContainer

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.ExecutionContainer

All Implemented Interfaces:
  ISystemModelElement

Direct Known Subclasses:
  RootExecutionContainer

    public class ExecutionContainer

extends Object
implements ISystemModelElement

Since:
  1.1
Author:
  Andre van Hoorn

Constructor Summary
`ExecutionContainer(int id, ExecutionContainer parent, String name)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `addChildContainer(ExecutionContainer container)` This method adds a given container to the list of child containers.
`boolean` | `equals(Object obj)`
`Collection<ExecutionContainer>` | `getChildContainers()` Delivers a collection containing the added child containers.
`int` | `getId()` Delivers the ID of the container.
`String` | `getIdentifier()` Delivers the identifier (name) of this object.
`String` | `getName()` Delivers the name of the container.
`ExecutionContainer` | `getParent()` Delivers the parent of the container.
`int` | `hashCode()`
`boolean` | `isRootContainer()` Returns whether this container is a root container.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionContainer

    public ExecutionContainer(int id,
                              ExecutionContainer parent,
                              String name)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `id` - The ID of this container.
    `parent` - The parent of this container.
    `name` - The name of this container.

Method Detail

### getId

    public final int getId()

  Delivers the ID of the container.

  Returns:
    The ID.

### getName

    public final String getName()

  Delivers the name of the container.

  Returns:
    The name.

### getParent

    public final ExecutionContainer getParent()

  Delivers the parent of the container.

  Returns:
    The parent.

### getChildContainers

    public final Collection<ExecutionContainer> getChildContainers()

  Delivers a collection containing the added child containers.

  Returns:
    The child containers.

### addChildContainer

    public final void addChildContainer(ExecutionContainer container)

  This method adds a given container to the list of child containers.

  Parameters:
    `container` - The new child container.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### isRootContainer

    public boolean isRootContainer()

  Returns whether this container is a root container.

  Returns:
    See above

### getIdentifier

    public String getIdentifier()

  Delivers the identifier (name) of this object.

  Specified by:
    `getIdentifier` in interface `ISystemModelElement`
  Returns:
    The identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net